Commit 631e6f67 authored by Victor Penso's avatar Victor Penso
Browse files

Add support for Debian Jessie package deployment

parent f35d5d75
...@@ -4,7 +4,7 @@ maintainer_email "hpc@gsi.de" ...@@ -4,7 +4,7 @@ maintainer_email "hpc@gsi.de"
license "Apache 2.0" license "Apache 2.0"
description "Deploy and configure CernVM-FS clients and servers." description "Deploy and configure CernVM-FS clients and servers."
long_description IO.read(File.join(File.dirname(__FILE__), 'README.md')) long_description IO.read(File.join(File.dirname(__FILE__), 'README.md'))
version "0.0.11" version "0.1.0"
depends "sys" depends "sys"
depends "apache2", "~> 1.8" depends "apache2", "~> 1.8"
supports "debian", ">= 7.0" supports "debian", ">= 7.0"
...@@ -24,6 +24,8 @@ else ...@@ -24,6 +24,8 @@ else
case node.platform_version case node.platform_version
when /^7/ when /^7/
package 'cvmfs' package 'cvmfs'
when /^8/
package 'cvmfs-client'
else else
log "Platfrom version #{node.platform_version} not supported!" do log "Platfrom version #{node.platform_version} not supported!" do
level :warn level :warn
......
...@@ -17,6 +17,13 @@ ...@@ -17,6 +17,13 @@
# See the License for the specific language governing permissions and # See the License for the specific language governing permissions and
# limitations under the License. # limitations under the License.
case node.platform_version
when /^8/
package 'cvmfs-server'
end
include_recipe 'apache2' include_recipe 'apache2'
include_recipe 'apache2::mod_rewrite' include_recipe 'apache2::mod_rewrite'
include_recipe 'apache2::mod_expires' include_recipe 'apache2::mod_expires'
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment